@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

@font-face {
  font-family: helvetica;
  src: url(fonts/Helvetica.ttf);
}

@font-face {
  font-family: helvetica-bold;
  src: url(fonts/Helvetica-Bold.ttf);
  font-weight: bold;
}

:root {
  --nge-dark-red: #750008;
  --nge-red: #E11A01;
  --nge-light-red: #E15454;
  
  --nge-black: #020201;
  
  --nge-dark-orange: #81430B;
  --nge-orange: #E8A311;
  
  --nge-light-green: #83FFD2;
}

html {
  padding: 0;
  margin: 0;
  height: 100vh;
}

body {
  padding: 0;
  margin: 0;
  
  height: 100vh;
  background: var(--nge-black);
  overflow: hidden;
}

.hide {
  display: none !important;
}

.zero-opacity {
    opacity: 0;
}

.inter-normal {
  font-family: "Inter", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

.inter-bold {
  font-family: "Inter", serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
}

.outer {
  display: table;
  position: absolute;
  height: 100%;
  width: 100%;
}

.middle {
  display: table-cell;
  vertical-align: middle;
}

.innie {
  text-align: center;
}

.epilepsy-warn-text {
  color: var(--nge-red);
  text-shadow: 0px 0px 5px var(--nge-red);
  font-size: 90px;
  transform: scale(0.6,1);
}

.epilepsy-accept {
  background: none;
  border: none;
  color: var(--nge-dark-red);
  text-shadow: 0px 0px 5px var(--nge-dark-red);
  font-size: 40px;
  text-decoration: underline;
  transform: scale(0.6,1);
}

.epilepsy-accept:hover {
  color: var(--nge-red);
  text-shadow: 0px 0px 5px var(--nge-red);
}

.loading-screen {
  display: grid;
  box-sizing: border-box;
  width: 100vw;
  height: 100vh;
  padding: 60px 10px;
  background: var(--nge-black);
  grid-auto-flow: column;
  align-items: center;
  align-content: center;
  justify-content: center;
  justify-items: center;
  grid-template-rows: repeat(auto-fill,60px);
  grid-template-columns: repeat(auto-fill,220px);
}

.rect-indicator {
  width: 200px;
  height: 45px;
  background: var(--nge-dark-red);
  box-shadow: 0px 0px 5px var(--nge-dark-red);
}

.rect-indicator::before {
  content: "";
  display:block;
  position: relative;
  top: -3px;
  left: -3px;
  width: 30px;
  height: 15px;
  background: var(--nge-dark-orange);
  box-shadow: 0px 0px 5px var(--nge-dark-orange), 0px 0px 0px 4px var(--nge-black);
}

.rect-indicator.active {
  background: var(--nge-light-green);  
  box-shadow: 0px 0px 5px var(--nge-light-green);
}

.rect-indicator.active::before {
  background: var(--nge-orange);
  box-shadow: 0px 0px 5px var(--nge-orange), 0px 0px 0px 4px var(--nge-black);
}

.rect-indicator.slant-right {
  transform: skew(0deg, -24deg);  
}
.rect-indicator.slant-left {
  transform: skew(0deg, 24deg);  
}

.loading-success {
  background: var(--nge-black);
  color: var(--nge-light-green);
  width: 100%;
  height: 100%;
  text-align: center;
  line-height: 100vh;
  font-size: 150px; /* This gets overwritten in setSuccessTextSize() */
  text-shadow: 0px 0px 5px var(--nge-light-green);
  
  transform: rotate(-5deg) scale(1.25);
  overflow: hidden;
  
  opacity: 0;
}


.loading-success::before {
  content: "";
  position: absolute;
  top: 0;
  display: block;
  width: 100%;
  height: 30%;
  background: repeating-linear-gradient(45deg, var(--nge-light-green) 0px, var(--nge-light-green) 40px, var(--nge-black) 42px, var(--nge-black) 78px, var(--nge-light-green) 80px);
  box-shadow: 0 0 1px 9px var(--nge-black), 0 0 1px 20px var(--nge-light-green);
}

.loading-success::after {
  content: "";
  position: absolute;
  bottom: 0;
  display: block;
  width: 100%;
  height: 30%;
  background: repeating-linear-gradient(-45deg, var(--nge-light-green) 0px, var(--nge-light-green) 40px, var(--nge-black) 42px, var(--nge-black) 78px, var(--nge-light-green) 80px);
  box-shadow: 0 0 1px 9px var(--nge-black), 0 0 1px 20px var(--nge-light-green);
}

.success-fade-in {
    animation: fade-in 2s forwards;
}

@keyframes fade-in {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}